
Redmine - Patch #3551

Additional case of USER_FORMAT, #{lastname}#{firstname} without any sperator

2009-06-28 11:10 - Yonghwan SO

Status: Closed Start date: 2009-06-28

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 1.00 hour

Target version: 3.3.0   

Description

in Korea, we just use this form from more then 10 year before. (as I remember.)

for example, if firstname is 길동 and lastname is 홍, --> right format is 홍길동. this is our standard form of writing the name. so please

apply this patch for Korean users (who using redmine with Korean only project.)

(the patch is based on r2793.)

Related issues:

Has duplicate Redmine - Feature #13227: CJK (Chinese/Japanese/Korean) name di... Closed

Associated revisions

Revision 15133 - 2016-01-30 16:25 - Jean-Philippe Lang

Additional option for USER_FORMAT, #{lastname}#{firstname} without any sperator (#3551).

Patch by Go MAEDA.

History

#1 - 2015-12-30 07:59 - Go MAEDA

- File redmine-lastnamefirstname_v2.diff added

- Target version set to Candidate for next major release

Not only Korean, but also Chinese don't insert a space between first and last name.

I have updated the patch for r14992.

#2 - 2016-01-29 04:21 - Toshi MARUYAMA

- Target version changed from Candidate for next major release to 3.3.0

#3 - 2016-01-29 04:21 - Toshi MARUYAMA

- Category changed from Administration to UI

#4 - 2016-01-30 16:25 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#5 - 2016-03-11 05:06 - Yonghwan SO

Nice! :-)

Jean-Philippe Lang wrote:

Committed, thanks.

#6 - 2016-04-04 09:08 - Go MAEDA

- Has duplicate Feature #13227: CJK (Chinese/Japanese/Korean) name display as firstname+lastname(no space) added
https://www.redmine.org/projects/redmine/repository/svn/revisions/2793
https://www.redmine.org/projects/redmine/repository/svn/revisions/14992


#7 - 2016-05-21 09:12 - Jean-Philippe Lang

- Subject changed from additional case of USER_FORMAT, #{lastname}#{firstname} without any sperator. to Additional case of USER_FORMAT,

#{lastname}#{firstname} without any sperator

Files

redmine-lastnamefirstname.patch 488 Bytes 2009-06-28 Yonghwan SO

redmine-lastnamefirstname_v2.diff 956 Bytes 2015-12-30 Go MAEDA
